=== debian/changelog ===
supple (1.0.7-1) unstable; urgency=medium

  * New upstream release
  * Moves arch-specific bits from supple.host into supple.capi because
    Lua packaging doesn't support LUA_SOURCES_ARCHDEP properly yet.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Mon, 17 Oct 2016 12:49:16 +0900

supple (1.0.6-2) unstable; urgency=medium

  * Put supple.host into LUA_SOURCES_ARCHDEP to fix multiarch snafu
    since host.lua contains the path to the wrapper. (Closes: #840769)
  * Also handle putting it back into LUA_SOURCES for the duration of
    test because the copy doesn't handle them yet.
  * Use SOURCE_DATE_EPOCH in ldoc invocation to improve reproducibility.

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 15 Oct 2016 11:25:35 +0900

supple (1.0.6-1) unstable; urgency=medium

  * New upstream release with extra GC protection (Closes: #840703)
  * Limit lua-supple to linux-any because of issues with socketpair()
    (and a lack of seccomp mode) on kfreebsd and hurd. (Closes: #840704)

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Fri, 14 Oct 2016 16:40:43 +0900

supple (1.0.5-1) unstable; urgency=medium

  * Initial packaging of Supple as a separate project.
  * Closes: #840611

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Thu, 13 Oct 2016 20:31:29 +0900
