## supple 1.0.8

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 BINST_ROOT := $(DESTDIR)$(INST_BASE)/lib
 LMOD_FILES := $(patsubst %,%.lua,$(subst .,/,$(LMODULES)))
 CMOD_FILES := $(patsubst %,%.so,$(subst .,/,$(CMODULES)))
+LIB_LUA := -llua$(LUA_VER)
 
 CMOD_TARGETS := $(patsubst %,lib/%.so,$(subst .,/,$(CMODULES)))
 CMOD_OBJECTS := $(patsubst %,lib/%.o,$(subst .,/,$(CMODULES)))
@@ -27,17 +28,33 @@
 LUA_INTERP_NAME := lua$(LUA_VER)
 LUA_INTERP_PATH := $(shell which lua$(LUA_VER))
 
+# Override these variables
+# to bake LUA_PATH and LUA_CPATH environment variables into the sandbox binary.
+# They can't be set at runtime for security reasons.
+BAKE_SUPPLE_PATHS := 0
+SUPPLE_LUA_PATH :=
+SUPPLE_LUA_CPATH :=
+
+ifeq ($(BAKE_SUPPLE_PATHS), 1)
+	DEF_BAKE_SUPPLE_PATHS=-DBAKE_SUPPLE_PATHS
+else
+	DEF_BAKE_SUPPLE_PATHS=
+endif
+
 INCS := -I/usr/include/lua$(LUA_VER)
 OPT := -O0 -g
 WARN := -Wall -Werror
 DEFS := -D'LUA_INTERP_NAME="$(LUA_INTERP_NAME)"' \
         -D'LUA_INTERP_PATH="$(LUA_INTERP_PATH)"' \
-	-D'WRAPPER_PATH="$(WRAPPER_PATH)"'
+	-D'SUPPLE_LUA_PATH="$(SUPPLE_LUA_PATH)"' \
+	-D'SUPPLE_LUA_CPATH="$(SUPPLE_LUA_CPATH)"' \
+	-D'WRAPPER_PATH="$(WRAPPER_PATH)"' $(DEF_BAKE_SUPPLE_PATHS)
+
 CFLAGS := $(INCS) $(OPT) $(WARN) $(DEFS) $(CFLAGS)
 LFLAGS := -O1 -g $(LFLAGS)
 
 %.so: %.o
-	$(CC) $(LFLAGS) -shared -o $@ $^ -llua$(LUA_VER)
+	$(CC) $(LFLAGS) -shared -o $@ $^
 
 %.o: %.c
 	$(CC) $(CFLAGS) -fPIC -o $@ -c $<
@@ -45,10 +62,10 @@
 build: $(CMOD_TARGETS) wrapper
 
 wrapper: src/wrapper.c
-	$(CC) $(LFLAGS) $(CFLAGS) -o $@ $< -llua$(LUA_VER)
+	$(CC) $(LFLAGS) $(CFLAGS) -o $@ $< $(LIB_LUA)
 
 testwrapper: src/wrapper.c
-	$(CC) $(LFLAGS) $(CFLAGS) -DTESTING_SUPPLE -o $@ $< -llua$(LUA_VER)
+	$(CC) $(LFLAGS) $(CFLAGS) -DTESTING_SUPPLE -o $@ $< $(LIB_LUA)
 	-chown root:root $@ && chmod u+s $@
 	ls -l $@
 
@@ -59,8 +76,10 @@
 	mkdir -p $(CINST_ROOT)/supple
 	mkdir -p $(BINST_ROOT)
 	cp wrapper $(DESTDIR)$(WRAPPER_PATH)
-	chown root:root $(DESTDIR)$(WRAPPER_PATH)
-	chmod u+s $(DESTDIR)$(WRAPPER_PATH)
+	if [ "$$(whoami)" = "root" ]; then \
+		chown root:root $(DESTDIR)$(WRAPPER_PATH); \
+		chmod u+s $(DESTDIR)$(WRAPPER_PATH); \
+	fi
 	for MOD in $(sort $(LMOD_FILES)); do \
 		$(COPY_LMOD) lib/$${MOD} > $(LINST_ROOT)/$${MOD}; \
 	done
@@ -77,7 +96,7 @@
 clean:
 	$(RM) luacov.report.out luacov.stats.out
 	$(RM) $(CMOD_TARGETS) $(CMOD_OBJECTS)
-	$(RM) wrapper testwrapper
+	$(RM) wrapper testwrapper supple_paths.h
 	$(RM) -r html
 
 distclean: clean
