=== debian/changelog ===
supple (1.0.8-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 02 Aug 2017 18:03:20 -0400
