=== debian/control ===
Source: supple
Section: interpreters
Priority: optional
Maintainer: Daniel Silverstone <dsilvers@digital-scurf.org>
Build-Depends: debhelper (>= 9.20120909~), dh-lua, lua-ldoc, lua-discount,
  lua-luxio
Standards-Version: 3.9.8
Homepage: https://www.gitano.org.uk/supple/

Package: lua-supple
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, lua-luxio0
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: same
Description: Lua strict sandbox
 Supple is a very strict sandbox which runs Lua code on behalf of applications
 which cannot trust the code very much.
 .
 Supple relies on a number of techniques to sandbox the user code away from the
 host application, such as chroots, seccomp mode, interpreter sandboxing, and
 rlimits.

Package: lua-supple-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation for lua-supple
 Supple is a very strict sandbox which runs Lua code on behalf of applications
 which cannot trust the code very much.
 .
 Supple relies on a number of techniques to sandbox the user code away from the
 host application, such as chroots, seccomp mode, interpreter sandboxing, and
 rlimits.
 .
 This package contains the documentation on how to use the Supple library.
