=== debian/watch ===
version=3
https://git.gitano.org.uk/supple.git /supple\.git/snapshot/supple-(.+)\.tar.bz2
